public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-geosciences/gpsd/
Date: Sat, 25 Sep 2021 00:04:57 +0000 (UTC)	[thread overview]
Message-ID: <1632528213.eb168717fae4bf7dc26fe75a08255fb78925535c.sam@gentoo> (raw)

commit:     eb168717fae4bf7dc26fe75a08255fb78925535c
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Sep 25 00:03:33 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Sep 25 00:03:33 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eb168717

sci-geosciences/gpsd: add 3.23.1

Signed-off-by: Sam James <sam <AT> gentoo.org>

 sci-geosciences/gpsd/Manifest           |   1 +
 sci-geosciences/gpsd/gpsd-3.23.1.ebuild | 212 ++++++++++++++++++++++++++++++++
 2 files changed, 213 insertions(+)

diff --git a/sci-geosciences/gpsd/Manifest b/sci-geosciences/gpsd/Manifest
index cfa2ee6fc84..9dd813f6555 100644
--- a/sci-geosciences/gpsd/Manifest
+++ b/sci-geosciences/gpsd/Manifest
@@ -1,2 +1,3 @@
 DIST gpsd-3.21.tar.xz 2620396 BLAKE2B 366d1857f7ff63e087ac1bec8c95d997cd8d48a60d5548c1644748e1ed20334f45a4fb279bc26c61481cc3dea0244eb0aaca0ba562838a3b5de15da5d1d82502 SHA512 a45416c31ee891a84203aea786b6385ea5f557a406d898a8facdde78d120199b7e7db8f86ab8c395f6ca90965940355fa19413b2b918642fd8c7df219745233e
+DIST gpsd-3.23.1.tar.gz 4904121 BLAKE2B 277c0c12cbe73d7c637cb0e6ce7b6ba15bead55efbbc7f4c9d9d5524f76d60261438df31b66c491e92216d8f3f7e6a13759c0e0cdd200cfae3cc3d616bf98dd5 SHA512 fccfac363103282581e4ea8236ce40e4600a01f02489c1aaec721a13deac556bac046a3b76f8a5e21fe8c736056e872d8c7f2e4ed2d38a164323dd9738f00388
 DIST gpsd-3.23.tar.gz 4893363 BLAKE2B 502c1f2103f3b4224f3bc654bfe6e08e7ddf84707a0db6369e52608c095d5d082da020091ebca27d403cf74fa0bee5ebe1550068263d8d7a55143da2bc1a7350 SHA512 967cc9801271418023630df02b457b76108968992151f6e80b569e99b856bd79cc3d0369d2088f3bc609b2ab22b29dba87639bf466bf262ab80b2b3f04055f8b

diff --git a/sci-geosciences/gpsd/gpsd-3.23.1.ebuild b/sci-geosciences/gpsd/gpsd-3.23.1.ebuild
new file mode 100644
index 00000000000..550576d658a
--- /dev/null
+++ b/sci-geosciences/gpsd/gpsd-3.23.1.ebuild
@@ -0,0 +1,212 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_OPTIONAL=1
+PYTHON_COMPAT=( python3_{8,9,10} )
+SCONS_MIN_VERSION="2.3.0"
+
+inherit udev multilib distutils-r1 scons-utils toolchain-funcs
+
+if [[ ${PV} == "9999" ]] ; then
+	EGIT_REPO_URI="https://gitlab.com/gpsd/gpsd.git"
+	inherit git-r3
+else
+	SRC_URI="mirror://nongnu/${PN}/${P}.tar.gz"
+	KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+fi
+
+DESCRIPTION="GPS daemon and library for USB/serial GPS devices and GPS/mapping clients"
+HOMEPAGE="https://gpsd.gitlab.io/gpsd/"
+
+LICENSE="BSD"
+SLOT="0/29"
+
+GPSD_PROTOCOLS=(
+	aivdm ashtech earthmate evermore fury fv18 garmin garmintxt geostar
+	gpsclock greis isync itrax mtk3301 navcom nmea0183 nmea2000 ntrip
+	oceanserver oncore passthrough rtcm104v2 rtcm104v3 sirf skytraq
+	superstar2 tnt tripmate tsip ublox
+)
+IUSE_GPSD_PROTOCOLS=${GPSD_PROTOCOLS[@]/#/+gpsd_protocols_}
+IUSE="${IUSE_GPSD_PROTOCOLS} bluetooth +cxx dbus debug ipv6 latency-timing ncurses ntp python qt5 +shm +sockets static systemd test udev usb X"
+REQUIRED_USE="X? ( python )
+	gpsd_protocols_nmea2000? ( gpsd_protocols_aivdm )
+	gpsd_protocols_isync? ( gpsd_protocols_ublox )
+	gpsd_protocols_ublox? ( python )
+	gpsd_protocols_greis? ( python )
+	python? ( ${PYTHON_REQUIRED_USE} )
+	qt5? ( cxx )"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	acct-user/gpsd
+	acct-group/dialout
+	>=net-misc/pps-tools-0.0.20120407
+	$(python_gen_any_dep 'dev-util/scons[${PYTHON_USEDEP}]')
+	bluetooth? ( net-wireless/bluez:= )
+	dbus? (
+		sys-apps/dbus
+		dev-libs/dbus-glib
+	)
+	ncurses? ( sys-libs/ncurses:= )
+	ntp? ( || (
+		net-misc/ntp
+		net-misc/ntpsec
+		net-misc/chrony
+	) )
+	qt5? (
+		dev-qt/qtcore:5
+		dev-qt/qtnetwork:5
+	)
+	python? ( ${PYTHON_DEPS} )
+	gpsd_protocols_ublox? ( dev-python/pyserial )
+	gpsd_protocols_greis? ( dev-python/pyserial )
+	usb? ( virtual/libusb:1 )
+	X? ( dev-python/pygobject:3[cairo,${PYTHON_USEDEP}] )"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig
+	test? ( sys-devel/bc )"
+
+# asciidoctor package is for man page generation
+if [[ ${PV} == *9999* ]] ; then
+	BDEPEND+=" dev-ruby/asciidoctor"
+fi
+
+python_check_deps() {
+	has_version -b "dev-util/scons[${PYTHON_USEDEP}]" || return 1
+}
+
+src_prepare() {
+	# Make sure our list matches the source.
+	local src_protocols=$(echo $(
+		sed -n '/# GPS protocols/,/# Time service/{s:#.*::;s:[(",]::g;p}' "${S}"/SConscript | awk '{print $1}' | LC_ALL=C sort
+	) )
+
+	if [[ ${src_protocols} != ${GPSD_PROTOCOLS[*]} ]] ; then
+		eerror "Detected protocols: ${src_protocols}"
+		eerror "Ebuild protocols:   ${GPSD_PROTOCOLS[*]}"
+		die "please sync ebuild & source"
+	fi
+
+	# bug #807661
+	sed -i -e 's:$SRCDIR/gpsd.hotplug:$SRCDIR/../gpsd.hotplug:' SConscript || die
+
+	default
+
+	use python && distutils-r1_src_prepare
+}
+
+python_prepare_all() {
+	python_setup
+
+	# Extract python info out of SConscript so we can use saner distribute
+	pyarray() { sed -n "/^ *$1 *= *\\[/,/\\]/p" SConscript ; }
+	local pyprogs=$(pyarray python_progs)
+	local pybins=$("${PYTHON}" -c "${pyprogs}; \
+		print(list(set(python_progs) - {'xgps', 'xgpsspeed', 'ubxtool', 'zerk'}))" || die "Unable to list pybins")
+	# Handle conditional tools manually. #666734
+	use X && pybins+="+ ['xgps', 'xgpsspeed']"
+	use gpsd_protocols_ublox && pybins+="+ ['ubxtool']"
+	use gpsd_protocols_greis && pybins+="+ ['zerk']"
+	local pysrcs=$(pyarray packet_ffi_extension)
+	local packet=$("${PYTHON}" -c "${pysrcs}; print(packet_ffi_extension)" || die "Unable to extract packet types")
+
+	pyvar() { sed -n "/^ *$1 *=/s:.*= *::p" SConscript ; }
+	pyvar2() { sed -n "/^ *$1 *=/s:.*= *::p" SConstruct ; }
+
+	# Post 3.19 the clienthelpers were merged into gps.packet
+
+	# TODO: Fix hardcoding https://gpsd.io/ for now for @URL@
+	sed \
+		-e "s|@VERSION@|$(pyvar2 gpsd_version | sed -e 's:\"::g')|" \
+		-e "s|@URL@|https://gpsd.io/|" \
+		-e "s|@DEVMAIL@|$(pyvar devmail)|" \
+		-e "s|@SCRIPTS@|${pybins}|" \
+		-e "s|@DOWNLOAD@|$(pyvar download)|" \
+		-e "s|@IRCCHAN@|$(pyvar ircchan)|" \
+		-e "s|@ISSUES@|$(pyvar bugtracker)|" \
+		-e "s|@MAILMAN@|$(pyvar mailman)|" \
+		-e "s|@PROJECTPAGE@|$(pyvar projectpage)|" \
+		-e "s|@SUPPORT@|https://gpsd.io/SUPPORT.html|" \
+		-e "s|@WEBSITE@|https://gpsd.io/|" \
+		"${S}"/packaging/gpsd-setup.py.in > setup.py || die
+	distutils-r1_python_prepare_all
+}
+
+src_configure() {
+	scons_opts=(
+		prefix="${EPREFIX}/usr"
+		libdir="\$prefix/$(get_libdir)"
+		udevdir="$(get_udevdir)"
+		rundir="/run"
+		chrpath=False
+		gpsd_user=gpsd
+		gpsd_group=dialout
+		nostrip=True
+		systemd=$(usex systemd)
+		unitdir="\$prefix/$(get_libdir)"
+		shared=$(usex !static True False)
+		bluez=$(usex bluetooth)
+		libgpsmm=$(usex cxx)
+		clientdebug=$(usex debug)
+		dbus_export=$(usex dbus)
+		ipv6=$(usex ipv6)
+		timing=$(usex latency-timing)
+		ncurses=$(usex ncurses)
+		ntpshm=$(usex ntp)
+		pps=$(usex ntp)
+		python=$(usex python)
+		# force a predictable python libdir because lib vs. lib64 usage differs
+		# from 3.5 to 3.6+
+		$(usex python python_libdir="${EPREFIX}"/python-discard "")
+		qt=$(usex qt5)
+		shm_export=$(usex shm)
+		socket_export=$(usex sockets)
+		usb=$(usex usb)
+	)
+
+	if [[ ${PV} != *9999* ]] ; then
+		scons_opts+=( manbuild=False )
+	fi
+
+	use X && scons_opts+=( xgps=1 xgpsspeed=1 )
+	use qt5 && scons_opts+=( qt_versioned=5 )
+
+	# enable specified protocols
+	local protocol
+	for protocol in ${GPSD_PROTOCOLS[@]} ; do
+		scons_opts+=( ${protocol}=$(usex gpsd_protocols_${protocol}) )
+	done
+
+	# bug #809260
+	python_setup
+}
+
+src_compile() {
+	export CHRPATH=
+	tc-export CC CXX PKG_CONFIG
+	export SHLINKFLAGS=${LDFLAGS} LINKFLAGS=${LDFLAGS}
+	escons "${scons_opts[@]}"
+
+	pushd "${P}" || die
+	ln -sf ../setup.py . || die
+	use python && distutils-r1_src_compile
+	popd || die
+}
+
+src_install() {
+	DESTDIR="${D}" escons install "${scons_opts[@]}" $(usex udev udev-install '')
+
+	newconfd "${FILESDIR}"/gpsd.conf-2 gpsd
+	newinitd "${FILESDIR}"/gpsd.init-2 gpsd
+
+	# Cleanup bad alt copy due to Scons
+	rm -rf  "${D}"/python-discard/gps*
+	find "${D}"/python-discard/ -type d -delete
+	# Install correct multi-python copy
+	pushd "${P}" || die
+	use python && distutils-r1_src_install
+	popd || die
+}


             reply	other threads:[~2021-09-25  0:05 UTC|newest]

Thread overview: 105+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-09-25  0:04 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-12 12:33 [gentoo-commits] repo/gentoo:master commit in: sci-geosciences/gpsd/ Sam James
2024-08-12 12:33 Sam James
2024-07-15  4:35 Sam James
2024-07-15  4:35 Sam James
2024-07-15  4:35 Sam James
2024-06-02  0:52 Sam James
2024-06-02  0:52 Sam James
2024-06-02  0:52 Sam James
2024-06-02  0:52 Sam James
2024-06-02  0:52 Sam James
2024-01-08  9:48 Sam James
2023-09-29  7:27 WANG Xuerui
2023-09-29  7:27 WANG Xuerui
2023-06-28  7:19 Sam James
2023-05-01  9:22 Sam James
2023-05-01  5:39 Sam James
2023-04-22  8:47 Arthur Zamarin
2023-04-19 10:16 Arthur Zamarin
2023-04-19  9:49 Sam James
2023-01-15  1:41 Sam James
2022-09-04 18:21 Arthur Zamarin
2022-09-04 18:21 Arthur Zamarin
2022-09-04 17:46 Sam James
2022-09-04 10:51 Agostino Sarubbo
2022-09-04 10:49 Agostino Sarubbo
2022-04-28  2:58 Sam James
2022-04-12 21:04 Sam James
2022-02-11 12:51 Sam James
2021-11-08  3:22 Mike Gilbert
2021-10-30 17:24 Agostino Sarubbo
2021-10-29 18:32 Sam James
2021-10-29 18:32 Sam James
2021-10-29 18:30 Sam James
2021-10-29  8:58 Sam James
2021-10-29  2:24 Sam James
2021-10-08  0:55 Sam James
2021-10-04  1:26 Sam James
2021-10-03  0:34 Sam James
2021-10-02 23:54 Sam James
2021-09-25  0:05 Sam James
2021-09-25  0:04 Sam James
2021-09-11 21:34 Sam James
2021-08-27 20:06 Sam James
2021-08-22  2:50 Sam James
2021-08-18 19:42 Sam James
2021-08-18 19:39 Sam James
2021-08-15 22:04 Sam James
2021-08-11 23:57 Sam James
2021-08-10 23:52 Sam James
2021-08-10 23:52 Sam James
2021-08-10 23:52 Sam James
2021-08-10  0:16 Marek Szuba
2021-08-09 23:53 Sam James
2021-08-09 23:46 Sam James
2021-06-01 12:06 Sam James
2020-10-06 14:23 Sam James
2020-09-25 17:52 Sam James
2020-09-25 17:51 Sam James
2020-09-25 17:51 Sam James
2020-09-25 16:01 Sam James
2020-09-25 16:00 Sam James
2020-09-24 19:53 Aaron Bauman
2020-09-10 15:31 Marek Szuba
2020-07-29  1:07 Rick Farina
2020-07-28 18:12 Rick Farina
2020-07-28 18:12 Rick Farina
2020-07-28 18:12 Rick Farina
2020-07-28 18:12 Rick Farina
2020-07-28 18:12 Rick Farina
2020-07-28 18:12 Rick Farina
2020-05-12  6:22 Matthias Maier
2020-05-07 15:17 Michał Górny
2019-11-29  8:17 Michał Górny
2019-10-04 19:23 Robin H. Johnson
2019-10-04 18:59 Robin H. Johnson
2019-10-04 18:59 Robin H. Johnson
2019-09-12  3:57 Mike Frysinger
2019-01-19 19:14 Robin H. Johnson
2018-10-04  7:28 Andreas Sturmlechner
2018-10-04  6:26 Sergei Trofimovich
2018-09-30 23:10 Robin H. Johnson
2018-09-04 20:49 Andreas Sturmlechner
2018-04-15 17:19 Mikle Kolyada
2018-01-29  1:06 Thomas Deutschmann
2018-01-12 15:55 Andreas Sturmlechner
2018-01-12 15:55 Andreas Sturmlechner
2017-12-28 21:20 Andreas Sturmlechner
2017-12-28 21:20 Andreas Sturmlechner
2017-12-28 15:35 Andreas Sturmlechner
2017-12-21 18:23 Andreas Sturmlechner
2017-12-16 10:31 Tobias Klausmann
2017-12-08 20:39 Thomas Deutschmann
2017-09-24 15:10 Thomas Deutschmann
2017-08-20 16:59 Thomas Deutschmann
2017-07-15 15:17 Tobias Klausmann
2017-03-01  7:55 Michael Weber
2017-02-10 12:29 Michael Weber
2017-01-15 11:20 Pacho Ramos
2016-12-20 15:34 Tobias Klausmann
2016-03-27 12:02 Sam Jorna
2016-03-18 15:46 Sam Jorna
2016-02-29 14:48 Amy Winston
2016-02-29 14:48 Amy Winston
2016-02-29 14:36 Amy Winston

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1632528213.eb168717fae4bf7dc26fe75a08255fb78925535c.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox